| Home | Libraries | People | FAQ | More

## Struct template minimum

boost::mpi::minimum — Compute the minimum of two values.

## Synopsis

    // In header: <boost/mpi/operations.hpp>

    template<typename T>
    struct minimum {

      // public member functions
      const T & operator()(const T &, const T &) const;
    };

## Description

This binary function object computes the minimum of the two values it is given. When used with MPI and a type `T` that has an associated, built-in MPI data type, translates to `MPI_MIN`.

### `minimum` public member functions

1.     const T & operator()(const T & x, const T & y) const;

   Returns: | the minimum of x and y.